Problemas en dependencias initramfs-tools [Solucionado]

Imagen de runsaber
0 puntos

No puedo actualizar mi Ubuntu Server 12.04.3 LTS, usando Kernel linux-image-3.2.0-54-generic-pae 3.2.0-54.82, me aparece el sgte. error:

dpkg: problemas de dependencias impiden la configuración de initramfs-tools:
initramfs-tools depende de initramfs-tools-bin (<< 0.99ubuntu13.1.1~); sin embargo:
La versión de `initramfs-tools-bin' en el sistema es 0.99ubuntu13.2.
dpkg: error al procesar initramfs-tools (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de apparmor:No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»


apparmor depende de initramfs-tools; sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar apparmor (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de udev:
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
udev depende de initramfs-tools (>= 0.92bubuntu63); sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar udev (--configure):
problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
Se encontraron errores al procesar:
initramfs-tools
apparmor
udev
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ya probé con lo que dicen varios sitios, sudo apt-get install -f y sudo dpkg --configure -a, pero me resulta en los mismos errores. Esto no me permite actualizar ningún paquete de nada. Por lo que he leído, puede ser que el nuevo kernel instalado ya no use hotplug y usa udev, aunque eso no me queda muy claro... agradecería la ayuda que fuera posible.

Imagen de Goyo
+1
+1
-1

Me parece que es un error de empaquetado que probablemente se solucionará pronto. Si te corre prisa actualizar o instalar algún programa intenta esto:
sudo apt-get install initramfs-tools-bin=0.99ubuntu13 initramfs-tools=0.99ubuntu13

+1
+1
-1
Imagen de runsaber
+1
0
-1

Gracias Goyo por tu respuesta.... lo hice y me apareció el sgte. error:

sudo apt-get install initramfs-tools-bin=0.99ubuntu13 initramfs-tools=0.99ubuntu13
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
initramfs-tools-bin ya está en su versión más reciente.
Se DESACTUALIZARÃN los siguientes paquetes:
initramfs-tools
0 actualizados, 0 se instalarán, 1 desactualizados, 0 para eliminar y 0 no actualizados.
3 no instalados del todo o eliminados.
Se necesita descargar 0 B/49,2 kB de archivos.
Se liberarán 1.024 B después de esta operación.
¿Desea continuar [S/n]? S
dpkg: problemas de dependencias impiden la configuración de initramfs-tools:
initramfs-tools depende de initramfs-tools-bin (>= 0.99ubuntu13.1); sin embargo:
La versión de `initramfs-tools-bin' en el sistema es 0.99ubuntu13.
dpkg: error al procesar initramfs-tools (--configure):
problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
dpkg: problemas de dependencias impiden la configuración de apparmor:
apparmor depende de initramfs-tools; sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar apparmor (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de udev:
udev depende de initramfs-tools (>= 0.92bubuntu63); sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar udev (--configure):
problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
Se encontraron errores al procesar:
initramfs-tools
apparmor
udev
E: Sub-process /usr/bin/dpkg returned an error code (1)

+1
0
-1
Imagen de Goyo
+1
0
-1

¿Y con -f?
sudo apt-get -f install initramfs-tools-bin=0.99ubuntu13 initramfs-tools=0.99ubuntu13

+1
0
-1
Imagen de runsaber
+1
0
-1

Gracias Goyo, pero da el mismo error...

sudo apt-get -f install initramfs-tools-bin=0.99ubuntu13 initramfs-tools=0.99ubuntu13
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
initramfs-tools-bin ya está en su versión más reciente.
Se DESACTUALIZARÃN los siguientes paquetes:
initramfs-tools
0 actualizados, 0 se instalarán, 1 desactualizados, 0 para eliminar y 0 no actualizados.
3 no instalados del todo o eliminados.
Se necesita descargar 0 B/49,2 kB de archivos.
Se liberarán 1.024 B después de esta operación.
¿Desea continuar [S/n]? S
dpkg: problemas de dependencias impiden la configuración de initramfs-tools:
initramfs-tools depende de initramfs-tools-bin (>= 0.99ubuntu13.1); sin embargo:
La versión de `initramfs-tools-bin' en el sistema es 0.99ubuntu13.
dpkg: error al procesar initramfs-tools (--configure):
problemas de dependencias - se deja sin configurar
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
dpkg: problemas de dependencias impiden la configuración de apparmor:
apparmor depende de initramfs-tools; sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar apparmor (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de udev:No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.

udev depende de initramfs-tools (>= 0.92bubuntu63); sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar udev (--configure):
problemas de dependencias - se deja sin configurar
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
Se encontraron errores al procesar:
initramfs-tools
apparmor
udev
E: Sub-process /usr/bin/dpkg returned an error code (1)

+1
0
-1
Imagen de Goyo
+1
0
-1

Según veo el problema ya no está (o ya no estaba cuando miré y miré mal, más probable).
Deberías poder actualizar a las versiones más recientes de intramfs-tools y intramfs-tools-bin (0.99ubuntu13.2) una vez hayas actualizado la lista de paquetes.

+1
0
-1
Imagen de runsaber
+1
0
-1

Hice un sudo apt-get update, instaló un par de paquetes que no eran los que dan error, lamentablemente no puedo pegarte ese log por que lo perdí, pero después al final dio el mismo error. Después, seguí intentando con los pasos anteriores y todo sigue igual.

sudo apt-get -f install
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
Se instalarán los siguientes paquetes extras:
initramfs-tools initramfs-tools-bin
Se actualizarán los siguientes paquetes:
initramfs-tools initramfs-tools-bin
2 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
3 no instalados del todo o eliminados.
Se necesita descargar 0 B/59,0 kB de archivos.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? S
(Leyendo la base de datos ... 148199 ficheros o directorios instalados actualmente.)
Preparando para reemplazar initramfs-tools-bin 0.99ubuntu13 (usando .../initramfs-tools-bin_0.99ubuntu13.2_i386.deb) ...
Desempaquetando el reemplazo de initramfs-tools-bin ...
Configurando initramfs-tools-bin (0.99ubuntu13.2) ...
dpkg: problemas de dependencias impiden la configuración de initramfs-tools:
initramfs-tools depende de initramfs-tools-bin (<< 0.99ubuntu13.1.1~); sin embargo:
La versión de `initramfs-tools-bin' en el sistema es 0.99ubuntu13.2.
dpkg: error al procesar initramfs-tools (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de udev:
udev depende de initramfs-tools (>= 0.92bubuntu63); sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar udev (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de apparmor:
apparmor depende de initramfs-tools; sin embargo:
El paquete `initramfs-tools' no está configurado todavía.
dpkg: error al procesar apparmor (--configure):
problemas de dependencias - se deja sin configurar
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
Se encontraron errores al procesar:
initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)

No puede instalar udev ni appamrmor. Según veo, ya tiene instalada la última versión de initramfs-tools-bin (0.99ubuntu13.2), pero al parecer algo pide la versión anterior (según el error que aparece initramfs-tools depende de initramfs-tools-bin (<< 0.99ubuntu13.1.1~); sin embargo:
La versión de `initramfs-tools-bin' en el sistema es 0.99ubuntu13.2.
)...

Como otro dato, trato de hacer downgrade a la supuesta versión que pide, y dice que esa versión no existe!!!.

sudo apt-get install -f initramfs-tools-bin=0.99ubuntu13.1
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se encontró la versión «0.99ubuntu13.1» para «initramfs-tools-bin»

+1
0
-1
Imagen de runsaber
+1
+1
-1

Gracias Goyo, usando parte de lo que me dijiste, y parte de lo leído por aquí y por allá, llegué al sitio donde están los repos de initramfs-tools y initramfs-tools-bin. Es aquí: http://security.ubuntu.com/ubuntu/pool/main/i/initramfs-tools/ , y además dejo la explicación completa, pues a alguien le puede servir:
El tema es que no existe no sé por qué motivo la versión que me solicitaba (y por eso daba error). La versión 0.99ubuntu13.1 no existe... entonces qué hacer?, probar!. Hice un downgrade con la versión anterior a la que me solicitaba ( o sea, 0.99ubuntu13 ), lo descargué: sudo curl -O http://security.ubuntu.com/ubuntu/pool/main/i/initramfs-tools/initramfs-tools-bin_0.99ubuntu13_i386.deb , y después lo configuré:

sudo dpkg -i initramfs-tools-bin_0.99ubuntu13_i386.deb
dpkg: aviso: desactualizando initramfs-tools-bin de 0.99ubuntu13.2 a 0.99ubuntu13.
(Leyendo la base de datos ... 148199 ficheros o directorios instalados actualmente.)
Preparando para reemplazar initramfs-tools-bin 0.99ubuntu13.2 (usando initramfs-tools-bin_0.99ubuntu13_i386.deb) ...
Desempaquetando el reemplazo de initramfs-tools-bin ...
Configurando initramfs-tools-bin (0.99ubuntu13) ...
y hizo el downgrade sin problemas... después, para probar, el famoso sudo apt-get install -f ... e instaló la nueva versión del kernel... dejó el log:

sudo apt-get install -f
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
0 actualizados, 0 se instalarán, 0 para eliminar y 2 no actualizados.
3 no instalados del todo o eliminados.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
Configurando initramfs-tools (0.99ubuntu13) ...
update-initramfs: deferring update (trigger activated)
Configurando apparmor (2.7.102-0ubuntu3.9) ...
Instalando una nueva versión del fichero de configuración /etc/apparmor.d/abstractions/ubuntu-browsers.d/ubuntu-integration ...
* Starting AppArmor profiles Skipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd
[ OK ]
* Reloading AppArmor profiles Skipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd
[ OK ]
Configurando udev (175-0ubuntu9.4) ...
udev stop/waiting
udev start/running, process 14361
Eliminando `desviación de /sbin/udevadm a /sbin/udevadm.upgrade por fake-udev'
update-initramfs: deferring update (trigger activated)
Procesando disparadores para initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-54-generic-pae
obustos@Inmobiliaria:~$ sudo apt-get install -f
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
0 actualizados, 0 se instalarán, 0 para eliminar y 2 no actualizados.
obustos@Inmobiliaria:~$ sudo apt-get upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Se actualizarán los siguientes paquetes:
initramfs-tools initramfs-tools-bin
2 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
Se necesita descargar 0 B/59,0 kB de archivos.
Se utilizarán 1.024 B de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? S
(Leyendo la base de datos ... 148198 ficheros o directorios instalados actualmente.)
Preparando para reemplazar initramfs-tools 0.99ubuntu13 (usando .../initramfs-tools_0.99ubuntu13.2_all.deb) ...
Desempaquetando el reemplazo de initramfs-tools ...
Preparando para reemplazar initramfs-tools-bin 0.99ubuntu13 (usando .../initramfs-tools-bin_0.99ubuntu13.2_i386.deb) ...
Desempaquetando el reemplazo de initramfs-tools-bin ...
Procesando disparadores para man-db ...
Configurando initramfs-tools-bin (0.99ubuntu13.2) ...
Configurando initramfs-tools (0.99ubuntu13.2) ...
update-initramfs: deferring update (trigger activated)
Procesando disparadores para initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-54-generic-pae

Repetí el proceso para ver si estaba todo correctamente actualizado

sudo apt-get upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.

Todos los paquetes actualizados al día!, nuevamente, gracias Goyo por darme luces de lo que podía hacer y por las prontas respuestas. ;-)

+1
+1
-1